# $Revision: 1.62 $, $Date: 2007-12-26 20:11:39 $
%define	_hordeapp	chora
#define	_rc		rc1
%define	rel	5
#
%include	/usr/lib/rpm/macros.php
Summary:	Web Based CVS Program
Summary(pl.UTF-8):	Program do obsługi CVS przez WWW
Name:		horde-%{_hordeapp}
Version:	2.0.2
Release:	%{?_rc:0.%{_rc}.}%{?_snap:0.%(echo %{_snap} | tr -d -).}%{rel}
License:	GPL v2
Group:		Applications/WWW
#Source0:	ftp://ftp.horde.org/pub/chora/%{_hordeapp}-h3-%{version}-%{_rc}.tar.gz
Source0:	ftp://ftp.horde.org/pub/chora/%{_hordeapp}-h3-%{version}.tar.gz
# Source0-md5:	dfddec61103e4437b5ad773888ae55c2
Source1:	%{_hordeapp}.conf
Patch0:		%{_hordeapp}-prefs.patch
URL:		http://www.horde.org/chora/
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	tar >= 1:1.15.1
# well. depending on configuration, it needs cvs, rcs or svn, cvsps >= 2.0b6
Requires:	cvs-client
Requires:	horde >= 3.0
Requires:	rcs
Requires:	webapps
Obsoletes:	%{_hordeapp}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# horde accesses it directly in help->about
%define		_noautocompressdoc  CREDITS
%define		_noautoreq	'pear(Horde.*)'

%define		hordedir	/usr/share/horde
%define		_appdir		%{hordedir}/%{_hordeapp}
%define		_webapps	/etc/webapps
%define		_webapp		horde-%{_hordeapp}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
Chora is the CVS viewing frontend, one of the Horde components. It
provides webmail access to CVS repositories.

The Horde Project writes web applications in PHP and releases them
under the GNU Public License. For more information (including help
with IMP) please visit <http://www.horde.org/>.

%description -l pl.UTF-8
Chora jest programem do obsługi CVS przez WWW, bazowanym na Horde.
Daje dostęp do zasobów CVS z wygodnym interfejsem WWW.

Projekt Horde tworzy aplikacje w PHP i dostarcza je na licencji GNU
Public License. Jeżeli chcesz się dowiedzieć czegoś więcej (także help
do IMP-a) zajrzyj na stronę <http://www.horde.org/>.

%prep
%setup -qcT -n %{?_snap:%{_hordeapp}-%{_snap}}%{!?_snap:%{_hordeapp}-%{version}%{?_rc:-%{_rc}}}
tar zxf %{SOURCE0} --strip-components=1
%patch0 -p1

rm {,*/}.htaccess
for i in config/*.dist; do
	mv $i config/$(basename $i .dist)
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}/docs}

cp -a *.php $RPM_BUILD_ROOT%{_appdir}
cp -a config/* $RPM_BUILD_ROOT%{_sysconfdir}
echo '<?php ?>' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/conf.php.bak
cp -a lib locale templates themes $RPM_BUILD_ROOT%{_appdir}

ln -s %{_sysconfdir} 	$RPM_BUILD_ROOT%{_appdir}/config
ln -s %{_docdir}/%{name}-%{version}/CREDITS $RPM_BUILD_ROOT%{_appdir}/docs
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f %{_sysconfdir}/conf.php.bak ]; then
	install /dev/null -o root -g http -m660 %{_sysconfdir}/conf.php.bak
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerpostun -- horde-%{_hordeapp} < 2.0.1-1.1, %{_hordeapp}
for i in conf.php cvsgraph.conf longIntro.txt mime_drivers.php prefs.php sourceroots.php; do
	if [ -f /etc/horde.org/%{_hordeapp}/$i.rpmsave ]; then
		mv -f %{_sysconfdir}/$i{,.rpmnew}
		mv -f /etc/horde.org/%{_hordeapp}/$i.rpmsave %{_sysconfdir}/$i
	fi
done

if [ -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave ]; then
	mv -f %{_sysconfdir}/apache.conf{,.rpmnew}
	mv -f %{_sysconfdir}/httpd.conf{,.rpmnew}
	cp -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave %{_sysconfdir}/apache.conf
	cp -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave %{_sysconfdir}/httpd.conf
fi

if [ -L /etc/apache/conf.d/99_horde-%{_hordeapp}.conf ]; then
	/usr/sbin/webapp register apache %{_webapp}
	rm -f /etc/apache/conf.d/99_horde-%{_hordeapp}.conf
	%service -q apache reload
fi
if [ -L /etc/httpd/httpd.conf/99_horde-%{_hordeapp}.conf ]; then
	/usr/sbin/webapp register httpd %{_webapp}
	rm -f /etc/httpd/httpd.conf/99_horde-%{_hordeapp}.conf
	%service -q httpd reload
fi

%files
%defattr(644,root,root,755)
%doc README docs/*
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(660,root,http) %config(noreplace) %{_sysconfdir}/conf.php
%attr(660,root,http) %config(noreplace) %ghost %{_sysconfdir}/conf.php.bak
%attr(640,root,http) %config(noreplace) %{_sysconfdir}/[!c]*.php
%attr(640,root,http) %config(noreplace) %{_sysconfdir}/*.txt
%attr(640,root,http) %config(noreplace) %{_sysconfdir}/cvsgraph.conf
%attr(640,root,http) %{_sysconfdir}/conf.xml

%dir %{_appdir}
%{_appdir}/*.php
%{_appdir}/config
%{_appdir}/docs
%{_appdir}/lib
%{_appdir}/locale
%{_appdir}/templates
%{_appdir}/themes

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: horde-chora.spec,v $
Revision 1.62  2007-12-26 20:11:39  zbyniu
- up to 2.0.2

Revision 1.61  2007-12-02 09:26:58  qboosh
- R =~ s/cvs/cvs-client/

Revision 1.60  2007-08-01 11:40:01  paszczus
- rel 5

Revision 1.59  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.58  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.57  2006/10/01 17:06:53  glen
- rel 4

Revision 1.56  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.55  2006/06/04 16:28:43  paszczus
- release 3

Revision 1.54  2006/04/06 23:38:23  glen
- just rm to catch missing files

Revision 1.53  2006/02/14 20:12:09  glen
- drop apache specific requires
- cosmetics

Revision 1.52  2006/02/14 19:59:48  glen
- unify (%verify attrs for webserver configs)

Revision 1.51  2006/02/02 15:14:49  glen
- update apache2 trigger to match apache-base in case somebody decides not to
  use apache2.2 virtual pkg (freedom of choice one of the pld mottos)

Revision 1.50  2006/01/08 22:26:53  glen
- unify

Revision 1.49  2006/01/08 19:59:05  glen
- use %service in triggers
- trigger also on old package name

Revision 1.48  2005/12/02 17:57:44  glen
- proper build macros

Revision 1.47  2005/12/02 16:07:59  glen
- rel 2

Revision 1.46  2005/11/30 22:39:38  glen
- patch prefs.xml

Revision 1.45  2005/11/30 22:32:13  glen
- simplify and unify

Revision 1.44  2005/11/30 21:21:18  glen
- unify

Revision 1.43  2005/11/30 12:50:45  glen
- conf.xml is not %config(noreplace) so it should not be rescued in trigger

Revision 1.42  2005/11/28 08:30:11  glen
- using webapps framework

Revision 1.41  2005/11/16 14:17:51  glen
- unified apache virtual requires

Revision 1.40  2005/10/13 17:51:10  paszczus
- updated to FINAL 2.0.1

Revision 1.39  2005/09/17 16:27:33  glen
- renamed horde application packages with horde- prefix

Revision 1.38  2005/09/17 16:09:39  glen
- unified

Revision 1.37  2005/09/17 15:21:49  glen
- unify

Revision 1.36  2005/09/16 22:16:35  glen
- use %{_hordeapp} macro

Revision 1.35  2005/08/30 18:32:33  paszczus
- updated to 2.0.1rc1

Revision 1.34  2005/07/20 22:07:56  glen
- use apache config triggers

Revision 1.33  2005/05/09 17:50:38  glen
- horde apps are all www applications (adjust group)

Revision 1.32  2005/03/21 17:21:46  glen
- rel 1; STBR

Revision 1.31  2005/03/06 09:58:57  glen
- strict apache module require

Revision 1.30  2005/02/27 19:04:14  glen
- still, put conf.php.bak as %ghost, to avoid conf.php.bak.rpmnew files

Revision 1.29  2005/02/25 23:14:43  glen
- file security revisited: remove write permission on config directory and add .bak files as config

Revision 1.28  2005/02/25 23:00:44  glen
- package docs/CREDITS for help->about

Revision 1.27  2005/02/25 08:32:59  qboosh
- shellglob syntax fix

Revision 1.26  2005/02/25 00:31:32  glen
- strict apache version require (for confdir support)
- package conf.php.bak as ghost for clean uninstall
- keep write permission only on conf.php
- cosmetics

Revision 1.25  2005/02/24 20:52:00  glen
- use _appdir macro for simplicity

Revision 1.24  2005/02/24 20:45:44  glen
- upgraded to 2.0

Revision 1.23  2004/11/10 13:32:59  paladine
- cosmetics

Revision 1.22  2004/10/29 09:02:01  paladine
- "HTTP" unification

Revision 1.21  2004/10/16 21:43:25  saq
- /srv shouldn't be used, adding a blocker

Revision 1.20  2004/10/16 01:09:08  paladine
- www->WWW

Revision 1.19  2004/08/18 07:16:53  blues
- security hole fixed

Revision 1.18  2004/08/17 17:30:28  misi3k
- updated to 1.2.2

Revision 1.17  2004/08/10 14:19:43  blues
- SECURITY note

Revision 1.16  2004/02/04 15:38:02  averne
- /home/services -> /srv
- release 0.2

Revision 1.15  2003/11/11 01:33:21  ankry
- caps unification, other cosmetics

Revision 1.14  2003/08/06 16:46:24  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.13  2003/05/26 16:59:43  misi3k
- updated to 1.2

Revision 1.12  2003/05/26 16:24:47  malekith
- massive attack: adding Source-md5

Revision 1.11  2003/05/25 05:46:15  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2002/12/29 13:43:34  qboosh
- Requires()
- changed R: webserver to apache (the only webserver supported in scripts)

Revision 1.9  2002/12/12 01:33:23  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.8  2002/12/07 19:09:42  orzech
- /home -> /home/services

Revision 1.7  2002/10/14 20:45:54  misto
- fixed required rpm-php-pearprov release

Revision 1.6  2002/10/14 20:37:36  misto
- merged with branch NEW_PEAR_REQUIRES (new rpm pear req/prov scripts)
- release 0.3

Revision 1.5.2.1  2002/10/11 22:04:30  misto
- modified for new pear requires/provides rpm scripts

Revision 1.5  2002/10/11 21:55:09  misto
- filename conflict while processing %doc - FIXED
- release 0.2

Revision 1.4  2002/10/10 12:39:02  marcus
- use new %doc

Revision 1.3  2002/07/21 10:30:52  blues
- 1.1
- NFY

Revision 1.2  2002/04/30 14:25:22  qboosh
- cosmetics

Revision 1.1  2002/04/29 17:21:29  blues
- initial release
  This is web front-end to CVS - very pretty...
